FinleyElements.h File Reference
`#include <weipa/ElementData.h>`
`#include <weipa/FinleyNodes.h>`

Go to the source code of this file.

## Classes

struct | weipa::FinleyElementInfo
| Holds information that is used to convert from finley element types to elements supported by Silo and VTK. More...
class | weipa::FinleyElements
| Stores and manipulates one type of finley mesh elements (cells, faces or contacts). More...

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.
| finley
| A suite of factory methods for creating various finley domains.
| weipa

## Macros

#define | NCFTYPE NcFile*

## Typedefs

typedef boost::shared_ptr< FinleyElements > | weipa::FinleyElements_ptr

## Macro Definition Documentation

## NCFTYPE

#define NCFTYPE NcFile*